#if !defined(AFX_OBJWINDOW_H__E8AB4568_CB26_11D2_8457_00105A17BC83__INCLUDED_)
#define AFX_OBJWINDOW_H__E8AB4568_CB26_11D2_8457_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjWindow.h : header file
//

#define SORT_ALIGNMENT		0
#define SORT_TYPE			1
#define MECH_TAB			0
#define BUILDING_TAB		1
#define VEHICLE_TAB			2
#define MISC_TAB			3

#include "ObjListBox.h"

class TabList :
	public Plug
{
public:
	TabList() :
	  Plug(Plug::DefaultData)
	  {
	  }

	CString	itemString;
	CString	itemPath;
	DWORD	data;
};

/////////////////////////////////////////////////////////////////////////////
// CObjWindow dialog

class CObjWindow : public CDialog
{
	friend class CDisplayWindow;
// Construction
public:
	CObjWindow(CWnd* pParent = NULL);   // standard constructor
	~CObjWindow();

// Dialog Data
	//{{AFX_DATA(CObjWindow)
	enum { IDD = IDD_OBJECTDLG };
	CTabCtrl	m_TabCtrl;
	//}}AFX_DATA

	CObjListBox
		m_ObjList;

	int
		curSort;

	TCITEM*
		mechTab;

	TCITEM*
		buildingTab;

	TCITEM*
		vehicleTab;

	TCITEM*
		miscTab;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjWindow)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void OnOK();
	void OnCancel();

	// Generated message map functions
	//{{AFX_MSG(CObjWindow)
	afx_msg void OnInstancealingmentbtn();
	afx_msg void OnInstancetypebtn();
	afx_msg void OnSelchangeObjecttab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJWINDOW_H__E8AB4568_CB26_11D2_8457_00105A17BC83__INCLUDED_)
